Bug 798484 - publican requires write access to source directory for file copying
publican requires write access to source directory for file copying
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.8
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 21:05 EST by Peter Hutterer
Modified: 2012-10-30 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2012-02-28 21:05:37 EST
Description of problem:
publican requires write access to the source directories to establish the processing tree.

Version-Release number of selected component (if applicable):
publican-2.8-1.fc16

How reproducible:
remove write access from the en-US directory before running publican build.

Steps to Reproduce:
1. publican create foo
2. cd foo
3. chmod 555 en-US
4. publican build --langs=en-US --formats=html

Actual results:
"Cannot locate main XML file: 'foo.xml' at /usr/bin/publican line 763"

Expected results:
At least a more helpful error message given that the file is there and can be read just fine with the permissions it has. Publican doesn't seem to actually write to any file in that directory (chmod 444 on all works fine), so not requiring write permissions seems like the best solution.
Comment 1 Jeff Fearn 2012-02-28 21:56:37 EST
Disabled keep mode in directory copy.

Committed revision 2047 to trunk.
Comment 2 Peter Hutterer 2012-02-29 23:06:09 EST
Can we have an updated fedora package for this please? It's a rather painful bug.
Comment 3 Martin Prpic 2012-04-26 16:32:45 EDT
Verified on:

Fedora 16
]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch

Note You need to log in before you can comment on or make changes to this bug.